Bug 1912938

Summary: Update confirmation modal for quick starts
Product: OpenShift Container Platform Reporter: Vikram Raj <viraj>
Component: Dev ConsoleAssignee: Vikram Raj <viraj>
Status: CLOSED ERRATA QA Contact: Gajanan More <gamore>
Severity: low Docs Contact:
Priority: low    
Version: 4.7CC: aos-bugs, nmukherj
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:50:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vikram Raj 2021-01-05 16:33:48 UTC
Description of problem:
Update the copy in confirmation modal.  
 

Old copy: 

Are you sure you want to leave the tour? 

Any progress you've made will be saved.

 

Revised copy: 

Leave quick start? 

Your progress will be saved.

Prerequisites (if any, like setup, operators/versions):

Steps to Reproduce
1. Log in to OpenShift (can be in either Developer perspective or Admin)
2. In the main menu, click the help icon  On desktop, this is located in the upper-right corner. 
3. Select Quick starts. 
4. Click on any quick start tile to open a quick start. 
5. In the side panel, click Start tour.  
6. In the upper-right corner of the panel, click the X icon to leave the tour. 
7. The confirmation modal appears. This is the content we'd like to update.

Actual results: 
Confirmation modal appears with old copy: 

Are you sure you want to leave the tour? 

Any progress you've made will be saved.

Expected results: 
Confirmation modal appears with revised copy: 

Leave quick start? 

Your progress will be saved.

Reproducibility (Always/Intermittent/Only Once): 
Always

Build Details: 
Any 4.6 (or later) build

Additional info: 
This is part of our effort to establish content consistency and quality across all quick starts.

Comment 2 Gajanan More 2021-01-13 05:01:08 UTC
I have verified the bug:

Build:4.7.0-0.nightly-2021-01-12-203716

Browser: Google Chrome 87

Please have a look at the shared screenshot

Marking this as done

Comment 5 errata-xmlrpc 2021-02-24 15:50:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633